package com.wd.workoffice.bean;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class OrderCheckStatusBean {
        /**
         * orderId : SO10812
         * items : [{"productId":10,"inStore":false,"outStore":true,"return":true,"used":"false            "}]
         * outStore : true
         * advance : false    
         */

        private String orderId;
        private boolean outStore;
        private boolean advance;
        private List<ItemsBean> items;

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public boolean isOutStore() {
            return outStore;
        }

        public void setOutStore(boolean outStore) {
            this.outStore = outStore;
        }

        public boolean getAdvance() {
            return advance;
        }

        public void setAdvance(boolean advance) {
            this.advance = advance;
        }

        public List<ItemsBean> getItems() {
            return items;
        }

        public void setItems(List<ItemsBean> items) {
            this.items = items;
        }

        public static class ItemsBean {
            /**
             * productId : 10
             * inStore : false
             * outStore : true
             * return : true
             * used : false            
             */

            private int productId;
            private boolean inStore;
            private boolean outStore;
            @JSONField(name = "return")
            private boolean returnX;
            private boolean used;
            private boolean qualityInspection;

            public boolean isQualityInspection() {
                return qualityInspection;
            }

            public void setQualityInspection(boolean qualityInspection) {
                this.qualityInspection = qualityInspection;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public boolean isInStore() {
                return inStore;
            }

            public void setInStore(boolean inStore) {
                this.inStore = inStore;
            }

            public boolean isOutStore() {
                return outStore;
            }

            public void setOutStore(boolean outStore) {
                this.outStore = outStore;
            }

            public boolean isReturnX() {
                return returnX;
            }

            public void setReturnX(boolean returnX) {
                this.returnX = returnX;
            }

            public boolean isUsed() {
                return used;
            }

            public void setUsed(boolean used) {
                this.used = used;
            }
        }
}
